Get Extension Profile
curl --request GET \
--url https://api.voxo.co/v2/admin/extensions/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.voxo.co/v2/admin/extensions/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.voxo.co/v2/admin/extensions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.voxo.co/v2/admin/extensions/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.voxo.co/v2/admin/extensions/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.voxo.co/v2/admin/extensions/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.voxo.co/v2/admin/extensions/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": 123,
"tenantId": 123,
"userId": 123,
"name": "<string>",
"number": "<string>",
"peerName": "<string>",
"dnd": "<string>",
"callerIdNumber": "<string>",
"enableMeet": 123,
"enableTranscription": 123,
"type": "<string>",
"trunk": "<string>",
"trunkHost": "<string>",
"trunkCallerIdSource": "<string>",
"trunkEmergencyCallerIdOverride": "<string>",
"callLimit": 123,
"mailboxAddress": "<string>",
"includeInDialByName": "<string>",
"includeInPhonebook": "<string>",
"recording": "<string>",
"recordingEmail": "<string>",
"dialTimeout": 123,
"outboundDialPrefix": "<string>",
"emergencyLocationComment": "<string>",
"enableDirectFax": 123,
"enableForwarding": "<string>",
"efaxUser": {
"id": 123,
"name": "<string>",
"email": "<string>",
"callerIdNumber": "<string>"
},
"branch": {
"id": 123,
"name": "<string>"
},
"user": {
"id": 123,
"email": "<string>"
},
"emergencyLocation": {
"id": 123,
"address": "<unknown>"
},
"musicOnHold": {
"id": 123,
"name": "<string>"
},
"routingProfile": {
"id": 123,
"name": "<string>",
"type": "<string>"
},
"devices": [],
"noAnswerDestinations": [],
"busyDestinations": [],
"offlineDestinations": [],
"forwardingDestinations": []
}Extensions
Get Extension Profile
Get a single extension of any type by ID, including routing destinations
GET
/
v2
/
admin
/
extensions
/
{id}
Get Extension Profile
curl --request GET \
--url https://api.voxo.co/v2/admin/extensions/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.voxo.co/v2/admin/extensions/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.voxo.co/v2/admin/extensions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.voxo.co/v2/admin/extensions/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.voxo.co/v2/admin/extensions/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.voxo.co/v2/admin/extensions/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.voxo.co/v2/admin/extensions/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": 123,
"tenantId": 123,
"userId": 123,
"name": "<string>",
"number": "<string>",
"peerName": "<string>",
"dnd": "<string>",
"callerIdNumber": "<string>",
"enableMeet": 123,
"enableTranscription": 123,
"type": "<string>",
"trunk": "<string>",
"trunkHost": "<string>",
"trunkCallerIdSource": "<string>",
"trunkEmergencyCallerIdOverride": "<string>",
"callLimit": 123,
"mailboxAddress": "<string>",
"includeInDialByName": "<string>",
"includeInPhonebook": "<string>",
"recording": "<string>",
"recordingEmail": "<string>",
"dialTimeout": 123,
"outboundDialPrefix": "<string>",
"emergencyLocationComment": "<string>",
"enableDirectFax": 123,
"enableForwarding": "<string>",
"efaxUser": {
"id": 123,
"name": "<string>",
"email": "<string>",
"callerIdNumber": "<string>"
},
"branch": {
"id": 123,
"name": "<string>"
},
"user": {
"id": 123,
"email": "<string>"
},
"emergencyLocation": {
"id": 123,
"address": "<unknown>"
},
"musicOnHold": {
"id": 123,
"name": "<string>"
},
"routingProfile": {
"id": 123,
"name": "<string>",
"type": "<string>"
},
"devices": [],
"noAnswerDestinations": [],
"busyDestinations": [],
"offlineDestinations": [],
"forwardingDestinations": []
}Authorizations
Response
200 - application/json
Extension profile
Was this page helpful?